GET api/partner/paid_orders/order/items/periodic?ignorePartnerId={ignorePartnerId}&isB2C={isB2C}&skip={skip}&take={take}
Получение оплаченных заказов (периодика)
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| ignorePartnerId | boolean |
Required |
|
| isB2C | boolean |
Required |
|
| skip | integer |
Required |
|
| take | integer |
Required |
Body Parameters
Body| Name | Description | Type | Additional information |
|---|---|---|---|
| PartnerId |
Идентификатор клиента |
globally unique identifier |
None. |
| User |
Пользователь |
UserModel |
None. |
| Order |
Модель заказа |
OrderModel |
None. |
| Read |
Модель для чтения |
ReadModel |
None. |
Request Formats
application/json, text/json
Sample:
{
"partnerId": "655437c0-783b-4e88-95f6-d2292a43ac94",
"user": {
"id": 1,
"email": {
"address": "sample string 1",
"isApproved": true
}
},
"order": {
"id": "71da8152-3e0a-47f5-8933-d282d8bb87ca",
"identifiers": [
1,
2
]
},
"read": {
"orderId": "de3d65ab-8713-4e29-b137-1a2b7fcbfc24",
"eId": 2
}
}
application/xml, text/xml
Sample:
<PartnerController.Body xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RucontAPI.Controllers">
<Order>
<Id>71da8152-3e0a-47f5-8933-d282d8bb87ca</Id>
<Identifiers xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d3p1:long>1</d3p1:long>
<d3p1:long>2</d3p1:long>
</Identifiers>
</Order>
<PartnerId>655437c0-783b-4e88-95f6-d2292a43ac94</PartnerId>
<Read>
<EId>2</EId>
<OrderId>de3d65ab-8713-4e29-b137-1a2b7fcbfc24</OrderId>
</Read>
<User>
<Email>
<Address>sample string 1</Address>
<IsApproved>true</IsApproved>
</Email>
<Id>1</Id>
</User>
</PartnerController.Body>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |